<?php
require_once(getabspath("classes/cipherer.php"));
$tdatasenuc_turmas = array();
	$tdatasenuc_turmas[".NumberOfChars"] = 80; 
	$tdatasenuc_turmas[".ShortName"] = "senuc_turmas";
	$tdatasenuc_turmas[".OwnerID"] = "idnucleo";
	$tdatasenuc_turmas[".OriginalTable"] = "senuc_turmas";

//	field labels
$fieldLabelssenuc_turmas = array();
if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelssenuc_turmas["Portuguese(Brazil)"] = array();
	$fieldToolTipssenuc_turmas["Portuguese(Brazil)"] = array();
	$fieldLabelssenuc_turmas["Portuguese(Brazil)"]["id"] = "Id";
	$fieldToolTipssenuc_turmas["Portuguese(Brazil)"]["id"] = "";
	$fieldLabelssenuc_turmas["Portuguese(Brazil)"]["idnucleo"] = "Idnucleo";
	$fieldToolTipssenuc_turmas["Portuguese(Brazil)"]["idnucleo"] = "";
	$fieldLabelssenuc_turmas["Portuguese(Brazil)"]["turma"] = "Turma";
	$fieldToolTipssenuc_turmas["Portuguese(Brazil)"]["turma"] = "";
	$fieldLabelssenuc_turmas["Portuguese(Brazil)"]["data_inicio"] = "Data Inicio";
	$fieldToolTipssenuc_turmas["Portuguese(Brazil)"]["data_inicio"] = "";
	$fieldLabelssenuc_turmas["Portuguese(Brazil)"]["data_conclusao"] = "Data Conclusao";
	$fieldToolTipssenuc_turmas["Portuguese(Brazil)"]["data_conclusao"] = "";
	$fieldLabelssenuc_turmas["Portuguese(Brazil)"]["id_turma"] = "Id Turma";
	$fieldToolTipssenuc_turmas["Portuguese(Brazil)"]["id_turma"] = "";
	if (count($fieldToolTipssenuc_turmas["Portuguese(Brazil)"]))
		$tdatasenuc_turmas[".isUseToolTips"] = true;
}
	
	
	$tdatasenuc_turmas[".NCSearch"] = true;



$tdatasenuc_turmas[".shortTableName"] = "senuc_turmas";
$tdatasenuc_turmas[".nSecOptions"] = 1;
$tdatasenuc_turmas[".recsPerRowList"] = 1;
$tdatasenuc_turmas[".mainTableOwnerID"] = "idnucleo";
$tdatasenuc_turmas[".moveNext"] = 1;
$tdatasenuc_turmas[".nType"] = 0;

$tdatasenuc_turmas[".strOriginalTableName"] = "senuc_turmas";




$tdatasenuc_turmas[".showAddInPopup"] = true;

$tdatasenuc_turmas[".showEditInPopup"] = true;

$tdatasenuc_turmas[".showViewInPopup"] = true;

$tdatasenuc_turmas[".fieldsForRegister"] = array();

$tdatasenuc_turmas[".listAjax"] = false;

	$tdatasenuc_turmas[".audit"] = false;

	$tdatasenuc_turmas[".locking"] = false;

$tdatasenuc_turmas[".listIcons"] = true;
$tdatasenuc_turmas[".edit"] = true;
$tdatasenuc_turmas[".inlineEdit"] = true;
$tdatasenuc_turmas[".inlineAdd"] = true;
$tdatasenuc_turmas[".view"] = true;

$tdatasenuc_turmas[".exportTo"] = true;

$tdatasenuc_turmas[".printFriendly"] = true;

$tdatasenuc_turmas[".delete"] = true;

$tdatasenuc_turmas[".showSimpleSearchOptions"] = false;

$tdatasenuc_turmas[".showSearchPanel"] = true;

if (isMobile())
	$tdatasenuc_turmas[".isUseAjaxSuggest"] = false;
else 
	$tdatasenuc_turmas[".isUseAjaxSuggest"] = true;

$tdatasenuc_turmas[".rowHighlite"] = true;

// button handlers file names

$tdatasenuc_turmas[".addPageEvents"] = false;

// use timepicker for search panel
$tdatasenuc_turmas[".isUseTimeForSearch"] = false;




$tdatasenuc_turmas[".allSearchFields"] = array();

$tdatasenuc_turmas[".allSearchFields"][] = "turma";
$tdatasenuc_turmas[".allSearchFields"][] = "data_inicio";
$tdatasenuc_turmas[".allSearchFields"][] = "data_conclusao";

$tdatasenuc_turmas[".googleLikeFields"][] = "id";
$tdatasenuc_turmas[".googleLikeFields"][] = "idnucleo";
$tdatasenuc_turmas[".googleLikeFields"][] = "turma";
$tdatasenuc_turmas[".googleLikeFields"][] = "data_inicio";
$tdatasenuc_turmas[".googleLikeFields"][] = "data_conclusao";


$tdatasenuc_turmas[".advSearchFields"][] = "turma";
$tdatasenuc_turmas[".advSearchFields"][] = "data_inicio";
$tdatasenuc_turmas[".advSearchFields"][] = "data_conclusao";

$tdatasenuc_turmas[".isTableType"] = "list";

	



// Access doesn't support subqueries from the same table as main



$tdatasenuc_turmas[".pageSize"] = 20;

$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatasenuc_turmas[".strOrderBy"] = $tstrOrderBy;

$tdatasenuc_turmas[".orderindexes"] = array();

$tdatasenuc_turmas[".sqlHead"] = "SELECT id,   idnucleo,   turma,   data_inicio,   data_conclusao";
$tdatasenuc_turmas[".sqlFrom"] = "FROM senuc_turmas";
$tdatasenuc_turmas[".sqlWhereExpr"] = "";
$tdatasenuc_turmas[".sqlTail"] = "";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatasenuc_turmas[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatasenuc_turmas[".arrGroupsPerPage"] = $arrGPP;

$tableKeyssenuc_turmas = array();
$tableKeyssenuc_turmas[] = "id";
$tdatasenuc_turmas[".Keys"] = $tableKeyssenuc_turmas;

$tdatasenuc_turmas[".listFields"] = array();
$tdatasenuc_turmas[".listFields"][] = "turma";
$tdatasenuc_turmas[".listFields"][] = "data_inicio";
$tdatasenuc_turmas[".listFields"][] = "data_conclusao";

$tdatasenuc_turmas[".viewFields"] = array();
$tdatasenuc_turmas[".viewFields"][] = "turma";
$tdatasenuc_turmas[".viewFields"][] = "data_inicio";
$tdatasenuc_turmas[".viewFields"][] = "data_conclusao";

$tdatasenuc_turmas[".addFields"] = array();
$tdatasenuc_turmas[".addFields"][] = "turma";
$tdatasenuc_turmas[".addFields"][] = "data_inicio";
$tdatasenuc_turmas[".addFields"][] = "data_conclusao";

$tdatasenuc_turmas[".inlineAddFields"] = array();
$tdatasenuc_turmas[".inlineAddFields"][] = "turma";
$tdatasenuc_turmas[".inlineAddFields"][] = "data_inicio";
$tdatasenuc_turmas[".inlineAddFields"][] = "data_conclusao";

$tdatasenuc_turmas[".editFields"] = array();
$tdatasenuc_turmas[".editFields"][] = "turma";
$tdatasenuc_turmas[".editFields"][] = "data_inicio";
$tdatasenuc_turmas[".editFields"][] = "data_conclusao";

$tdatasenuc_turmas[".inlineEditFields"] = array();
$tdatasenuc_turmas[".inlineEditFields"][] = "turma";
$tdatasenuc_turmas[".inlineEditFields"][] = "data_inicio";
$tdatasenuc_turmas[".inlineEditFields"][] = "data_conclusao";

$tdatasenuc_turmas[".exportFields"] = array();
$tdatasenuc_turmas[".exportFields"][] = "turma";
$tdatasenuc_turmas[".exportFields"][] = "data_inicio";
$tdatasenuc_turmas[".exportFields"][] = "data_conclusao";

$tdatasenuc_turmas[".printFields"] = array();
$tdatasenuc_turmas[".printFields"][] = "turma";
$tdatasenuc_turmas[".printFields"][] = "data_inicio";
$tdatasenuc_turmas[".printFields"][] = "data_conclusao";

//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "senuc_turmas";
	$fdata["Label"] = "Id"; 
	$fdata["FieldType"] = 3;
	
		
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "id"; 
		$fdata["FullName"] = "id";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_turmas["id"] = $fdata;
//	idnucleo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "idnucleo";
	$fdata["GoodName"] = "idnucleo";
	$fdata["ownerTable"] = "senuc_turmas";
	$fdata["Label"] = "Idnucleo"; 
	$fdata["FieldType"] = 3;
	
		
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "idnucleo"; 
		$fdata["FullName"] = "idnucleo";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 2;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "id";
	
		
	$edata["LookupTable"] = "senuc_nucleo";
	$edata["LookupOrderBy"] = "";
	
		
		
		
		
		
				
	
	
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_turmas["idnucleo"] = $fdata;
//	turma
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "turma";
	$fdata["GoodName"] = "turma";
	$fdata["ownerTable"] = "senuc_turmas";
	$fdata["Label"] = "Turma"; 
	$fdata["FieldType"] = 200;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		$fdata["bInlineAdd"] = true; 
	
		$fdata["bEditPage"] = true; 
	
		$fdata["bInlineEdit"] = true; 
	
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "turma"; 
		$fdata["FullName"] = "turma";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";
	
		
//	Begin validation
	$edata["validateAs"] = array();
		
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_turmas["turma"] = $fdata;
//	data_inicio
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "data_inicio";
	$fdata["GoodName"] = "data_inicio";
	$fdata["ownerTable"] = "senuc_turmas";
	$fdata["Label"] = "Data Inicio"; 
	$fdata["FieldType"] = 7;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		$fdata["bInlineAdd"] = true; 
	
		$fdata["bEditPage"] = true; 
	
		$fdata["bInlineEdit"] = true; 
	
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "data_inicio"; 
		$fdata["FullName"] = "data_inicio";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Short Date");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Date");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		$edata["DateEditType"] = 13; 
	$edata["InitialYearFactor"] = 100; 
	$edata["LastYearFactor"] = 10; 
	
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_turmas["data_inicio"] = $fdata;
//	data_conclusao
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "data_conclusao";
	$fdata["GoodName"] = "data_conclusao";
	$fdata["ownerTable"] = "senuc_turmas";
	$fdata["Label"] = "Data Conclusao"; 
	$fdata["FieldType"] = 7;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		$fdata["bInlineAdd"] = true; 
	
		$fdata["bEditPage"] = true; 
	
		$fdata["bInlineEdit"] = true; 
	
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "data_conclusao"; 
		$fdata["FullName"] = "data_conclusao";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Short Date");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Date");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		$edata["DateEditType"] = 13; 
	$edata["InitialYearFactor"] = 100; 
	$edata["LastYearFactor"] = 10; 
	
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_turmas["data_conclusao"] = $fdata;

	
$tables_data["senuc_turmas"]=&$tdatasenuc_turmas;
$field_labels["senuc_turmas"] = &$fieldLabelssenuc_turmas;
$fieldToolTips["senuc_turmas"] = &$fieldToolTipssenuc_turmas;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["senuc_turmas"] = array();
	
// tables which are master tables for current table (detail)
$masterTablesData["senuc_turmas"] = array();

$mIndex = 1-1;
			$strOriginalDetailsTable="senuc_nucleo";
	$masterParams["mDataSourceTable"]="senuc_nucleo";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "senuc_nucleo";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();
	$masterParams["dispChildCount"]= "1";
	$masterParams["hideChild"]= "0";
	$masterParams["dispInfo"]= "1";
	$masterParams["previewOnList"]= 1;
	$masterParams["previewOnAdd"]= 0;
	$masterParams["previewOnEdit"]= 0;
	$masterParams["previewOnView"]= 0;
	$masterTablesData["senuc_turmas"][$mIndex] = $masterParams;	
		$masterTablesData["senuc_turmas"][$mIndex]["masterKeys"][]="id";
		$masterTablesData["senuc_turmas"][$mIndex]["detailKeys"][]="idnucleo";

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










function createSqlQuery_senuc_turmas()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,   idnucleo,   turma,   data_inicio,   data_conclusao";
$proto0["m_strFrom"] = "FROM senuc_turmas";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
$proto0["m_strTail"] = "";
$proto0["cipherer"] = null;
$proto1=array();
$proto1["m_sql"] = "";
$proto1["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto1["m_column"]=$obj;
$proto1["m_contained"] = array();
$proto1["m_strCase"] = "";
$proto1["m_havingmode"] = "0";
$proto1["m_inBrackets"] = "0";
$proto1["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto1);

$proto0["m_where"] = $obj;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = "0";
$proto3["m_inBrackets"] = "0";
$proto3["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto3);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto5=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "senuc_turmas"
));

$proto5["m_expr"]=$obj;
$proto5["m_alias"] = "";
$obj = new SQLFieldListItem($proto5);

$proto0["m_fieldlist"][]=$obj;
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "idnucleo",
	"m_strTable" => "senuc_turmas"
));

$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto0["m_fieldlist"][]=$obj;
						$proto9=array();
			$obj = new SQLField(array(
	"m_strName" => "turma",
	"m_strTable" => "senuc_turmas"
));

$proto9["m_expr"]=$obj;
$proto9["m_alias"] = "";
$obj = new SQLFieldListItem($proto9);

$proto0["m_fieldlist"][]=$obj;
						$proto11=array();
			$obj = new SQLField(array(
	"m_strName" => "data_inicio",
	"m_strTable" => "senuc_turmas"
));

$proto11["m_expr"]=$obj;
$proto11["m_alias"] = "";
$obj = new SQLFieldListItem($proto11);

$proto0["m_fieldlist"][]=$obj;
						$proto13=array();
			$obj = new SQLField(array(
	"m_strName" => "data_conclusao",
	"m_strTable" => "senuc_turmas"
));

$proto13["m_expr"]=$obj;
$proto13["m_alias"] = "";
$obj = new SQLFieldListItem($proto13);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto15=array();
$proto15["m_link"] = "SQLL_MAIN";
			$proto16=array();
$proto16["m_strName"] = "senuc_turmas";
$proto16["m_columns"] = array();
$proto16["m_columns"][] = "id";
$proto16["m_columns"][] = "idnucleo";
$proto16["m_columns"][] = "turma";
$proto16["m_columns"][] = "data_inicio";
$proto16["m_columns"][] = "data_conclusao";
$obj = new SQLTable($proto16);

$proto15["m_table"] = $obj;
$proto15["m_alias"] = "";
$proto17=array();
$proto17["m_sql"] = "";
$proto17["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto17["m_column"]=$obj;
$proto17["m_contained"] = array();
$proto17["m_strCase"] = "";
$proto17["m_havingmode"] = "0";
$proto17["m_inBrackets"] = "0";
$proto17["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto17);

$proto15["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto15);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_senuc_turmas = createSqlQuery_senuc_turmas();
					$tdatasenuc_turmas[".sqlquery"] = $queryData_senuc_turmas;
	
if(isset($tdatasenuc_turmas["field2"])){
	$tdatasenuc_turmas["field2"]["LookupTable"] = "carscars_view";
	$tdatasenuc_turmas["field2"]["LookupOrderBy"] = "name";
	$tdatasenuc_turmas["field2"]["LookupType"] = 4;
	$tdatasenuc_turmas["field2"]["LinkField"] = "email";
	$tdatasenuc_turmas["field2"]["DisplayField"] = "name";
	$tdatasenuc_turmas[".hasCustomViewField"] = true;
}

$tableEvents["senuc_turmas"] = new eventsBase;
$tdatasenuc_turmas[".hasEvents"] = false;

$cipherer = new RunnerCipherer("senuc_turmas");

?>